"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsMapOfStrings = IsMapOfStrings;
const class_validator_1 = require("class-validator");
const is_map_of_strings_constraint_1 = require("../constraints/is-map-of-strings.constraint");
function IsMapOfStrings() {
    return function (object, propertyName) {
        (0, class_validator_1.Validate)(is_map_of_strings_constraint_1.IsMapOfStringsConstraint, {
            message: `${propertyName} must be a map object with string values.`,
        })(object, propertyName);
    };
}
//# sourceMappingURL=is-map-of-strings.decorator.js.map