"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validationExceptionFactory = validationExceptionFactory;
const common_1 = require("@nestjs/common");
const custom_exception_1 = require("../exceptions/custom.exception");
const rest_wrapper_class_1 = require("../models/dtos/wrappers/rest-wrapper.class");
function validationExceptionFactory(_errors) {
    const error = new rest_wrapper_class_1.RESTError('data_validation');
    _errors.forEach((i) => {
        error.validation = i;
    });
    return new custom_exception_1.HandledException([error], common_1.HttpStatus.UNPROCESSABLE_ENTITY);
}
//# sourceMappingURL=exception.factory.js.map