"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PermissionGuard = exports.AllowPermissions = exports.PermissionGuardArgs = void 0;
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const rxjs_1 = require("rxjs");
const sessions_service_1 = require("../services/sessions.service");
class PermissionGuardArgs {
}
exports.PermissionGuardArgs = PermissionGuardArgs;
exports.AllowPermissions = core_1.Reflector.createDecorator();
let PermissionGuard = class PermissionGuard {
    constructor(_sessionsService, _reflector) {
        this._sessionsService = _sessionsService;
        this._reflector = _reflector;
    }
    canActivate(context) {
        const args = this._reflector.get(PermissionGuardArgs, context.getHandler());
        const request = context.switchToHttp().getRequest();
        const token = this._getToken(request);
        if (!token) {
            throw new common_1.UnauthorizedException();
        }
        console.log(args);
        return (0, rxjs_1.of)(true);
    }
    _getToken(request) {
        var _a;
        let token = (_a = request === null || request === void 0 ? void 0 : request.headers) === null || _a === void 0 ? void 0 : _a.authorization;
        if (!token) {
            return null;
        }
        token = token.replace('bearer ', '');
        token = token.replace('Bearer ', '');
        return token;
    }
};
exports.PermissionGuard = PermissionGuard;
exports.PermissionGuard = PermissionGuard = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [sessions_service_1.SessionsService, core_1.Reflector])
], PermissionGuard);
//# sourceMappingURL=permission.guard.js.map