import { IBase } from '../interfaces/base.interface';
import { HydratedDocument } from 'mongoose';
import { IRecord } from '../interfaces/record.interface';
import { Identifable } from './identifable.schema';
export declare class Base extends Identifable implements IBase {
    record: IRecord;
}
export declare const BaseSchema: import("mongoose").Schema<Base, import("mongoose").Model<Base, any, any, any, import("mongoose").Document<unknown, any, Base> & Base & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Base, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Base>> & import("mongoose").FlatRecord<Base> & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}>;
export type BaseDocument = HydratedDocument<Base>;
